View Issue Details

IDProjectCategoryView StatusLast Update
0001940SymmetricDSBugpublic2014-09-02 15:37
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.6.6 
Target Version3.6.7Fixed in Version3.6.7 
Summary0001940: On MySQL sym_transaction_id_post_5_1_23 function should not be checking the autocommit session variable
DescriptionThe sym_transaction_id_post_5_1_23 function should not be checking the autocommit session variable. If you update multiple rows in a single statement with autocommit=1, they are assigned a transaction_id of null in sym_data even though the statement was transactional.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master d6afb332

2014-08-27 15:32:25

chenson

Details Diff
0001940: On MySQL sym_transaction_id_post_5_1_23 function should not be checking the autocommit session variable
0001940
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mysql/MySqlSymmetricDialect.java Diff File

Issue History

Date Modified Username Field Change
2014-08-27 15:29 chenson New Issue
2014-08-27 15:29 chenson Status new => assigned
2014-08-27 15:29 chenson Assigned To => chenson
2014-08-27 15:32 chenson Status assigned => resolved
2014-08-27 15:32 chenson Fixed in Version => 3.6.7
2014-08-27 15:32 chenson Resolution open => fixed
2014-08-27 16:00 chenson Changeset attached => SymmetricDS trunk r8650
2014-09-02 15:37 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master d6afb332